# SDK

## Overview

**Typescript SDK to interact with** [**Memez.gg**](https://www.memez.gg/) **contracts.**&#x20;

## Installation

**The sdk is available on the** [**NPM registry.**](https://www.npmjs.com/package/@interest-protocol/memez-fun-sdk)

```sh
npm i @interest-protocol/memez-fun-sdk
```

## SDK

**How to setup the SDK.**

```typescript
import { MemezPumpSDK } from '@interest-protocol/memez-fun-sdk';

/**
* Initiates the MemezPump SDK.
*
* @param args - An object containing the necessary arguments to initialize the SDK.
* @param args.fullNodeUrl - The full node URL to use for the SDK.
* @param args.packages - The package addresses to use for the SDK.
* @param args.sharedObjects - A record of shared objects to use for the SDK.
* @param args.network - The network to use for the SDK. Either `mainnet` or `testnet`.
*/
const memezPumpSdk = new MemezPumpSDK();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.interestprotocol.com/overview/sui/memez.gg/memez.fun/sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
